Loading...
Searching...
No Matches
EarlyFree.h File Reference

Defines the lowering pass that injects markers just after the last use of each buffer so that they can potentially be freed earlier. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::inject_early_frees (const Stmt &s)
| Take a statement with allocations and inject markers (of the form of calls to "mark buffer dead") after the last use of each allocation.

## Detailed Description

Defines the lowering pass that injects markers just after the last use of each buffer so that they can potentially be freed earlier.

Definition in file EarlyFree.h.